<template>
  <div>
    <table class="table-user-accounts">
      <thead>
        <tr>
          <td v-for="column in columns">
            <span> {{ column.name }} </span>
          </td>
          <td v-if="toggleBtn">
            <span></span>
          </td>
        </tr>
      </thead>
      <tbody>
        <tr v-for="element, index in data">
          <td v-for="column in columns">
            <status-icon v-if="typeof(element[column.attr])=='boolean'" :isActive="element['is_active']" />
            <span v-else>
              {{element[column.attr]}}
            </span>
          </td>
          <td v-if="toggleBtn">
            <custom-button 
              class="status-btn" 
              :class="{ activate: !element['is_active']}" 
              :title="(element['is_active'])?'disable':'activate'" 
              :submit="toggleBtnClick"
              :args="element"
            />
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</template>

<script>
export default {
  props: {
    columns: Array,
    data: Array,
    toggleBtn: Boolean,
    toggleBtnClick: {default: null},
    args: {default: null},
  }
};
</script>
